import java.util.Scanner;

/*
 需求：学生成绩分为四个等级：90~100：优，80~89：良，70~79：中，60~69：及格，0~60:不及格。   
 输入一个学生成绩，输出对应的评价

 思路：
 1、定义一个判断学生成绩的方法compare,定义一个输入方法print，封装输出语句
 2、首先定义一个while循环，可以连续输入学生成绩进行判断
 3、创建Scanner对象，读取由用户输入的字符流，让用户可以从控制台输入成绩
 4、然后定义判断成绩是否为整数，
 5、当输入数据不为整数时，再次进行判断，如果数据为"voer"，则结束循环；如果为其他，则退出本次循环
 6、当成绩是整数以后，继续进行范围判定，并输出相应的语句
 * */
public class Demo {
	public static void main(String[] args) {
		compare();
	}

	// 定义一个判断方法
	public static void compare() {
		// 可以连续输入学生成绩
		while (true) {
			// 创建Scanner对象，读取由用户输入的字符流
			Scanner input = new Scanner(System.in);

			print("请输入成绩：");
			int s = 0;

			try {
				// 先判断传入的年龄是否为整数，否则抛出异常
				s = input.nextInt();
			} catch (Exception e) {
				// 对成绩不为整数进行处理
				if (input.next().equals("over")) {
					print("over，程序结束");
					return;
				} else {
					print("你输入的成绩不是整数");
					continue;
				}
			}
			// 当成绩是整数以后，进行范围判定
			if (s > 100 || s < 0) {
				print("你输入的成绩超过了范围");
			} else if (s >= 0 && s < 60) {
				print("该学生成绩不及格");
			} else if (s >= 60 && s < 70) {
				print("该学生成绩及格");
			} else if (s >= 70 && s < 80) {
				print("该学生成绩中等");
			} else if (s >= 80 && s < 90) {
				print("该学生成绩良好");
			} else {
				print("该学生成绩优秀");
			}
		}
	}

	// 打印方法
	public static void print(String s) {
		System.out.println(s);
	}
}
